<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="AutoMapper" Version="16.1.1" />
        <PackageReference Include="BCrypt.Net-Next" Version="4.2.0" />
        <PackageReference Include="FastEndpoints" Version="5.33.0" />
        <PackageReference Include="FastEndpoints.Swagger" Version="5.33.0" />
        <PackageReference Include="Microsoft.AspNetCore.Authentication" Version="2.3.11" />
        <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.28" />
        <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="8.0.25" />
        <PackageReference Include="Microsoft.AspNetCore.SignalR" Version="1.2.11" />
        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.25" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.25">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="8.0.25" />
        <PackageReference Include="Swashbuckle.AspNetCore" Version="10.1.7" />
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Endpoints\" />
      <Folder Include="Migrations\" />
    </ItemGroup>

</Project>
